<?php

class Tiptel30xxTimeZone
{

    public static $PACIFIC_APIA = 105;                   // -11 Samoa
    public static $PACIFIC_NIUE = 105;                   // -11 Samoa
    public static $AMERICA_ADAK = 1;                     // -10 United States-Hawaii-Aleutian
    public static $AMERICA_ANCHORAGE = 3;                // -9 United States-Alaska Time
    public static $AMERICA_LOS_ANGELES = 6;              // -8 United States-Pacific Time
    public static $PACIFIC_PITCAIRN = 6;                 // -8 United States-Pacific Time
    public static $AMERICA_PHOENIX = 9;                  // -7 United States-Mountain Time
    public static $PACIFIC_EASTER = 12;                  // -6 Chile(Easter Islands)
    public static $AMERICA_EL_SALVADOR = 14;             // -6 United States-Central Time
    public static $AMERICA_REGINA = 14;                  // -6 United States-Central Time
    public static $AMERICA_CHICAGO = 14;                 // -6 United States-Central Time
    public static $PACIFIC_GALAPAGOS = 14;               // -6 United States-Central Time
    public static $AMERICA_HAVANA = 17;                  // -5 Cuba(Havana)
    public static $AMERICA_PORTO_ACRE = 18;              // -5 United States-Eastern Time
    public static $AMERICA_BOGOTA = 18;                  // -5 United States-Eastern Time
    public static $AMERICA_JAMAICA = 18;                 // -5 United States-Eastern Time
    public static $AMERICA_INDIANNAPOLIS = 18;           // -5 United States-Eastern Time
    public static $AMERICA_GUAYAQUIL = 18;               // -5 United States-Eastern Time
    public static $AMERICA_LIMA = 18;                    // -5 United States-Eastern Time
    public static $AMERICA_CARACAS = 19;                 // -4:30 Venezuela(Caracas)
    public static $AMERICA_SANTIAGO = 21;                // -4 Chile(Santiago)
    public static $AMERICA_ASUNCION = 22;                // -4 Paraguay(Asuncion)
    public static $AMERICA_CUIABA = 22;                  // -4 Paraguay(Asuncion)
    public static $AMERICA_GLACE_BAY = 22;               // -4 Paraguay(Asuncion)
    public static $AMERICA_LA_PAZ = 22;                  // -4 Paraguay(Asuncion)
    public static $ATLANTIC_BERMUDA = 23;                // -4 United Kingdom-Bermuda(Bermuda)
    public static $ATLANTIC_STANLEY = 24;                // -4 United Kingdom(Falkland Islands)
    public static $AMERICA_GUYANA = 25;                  // -4 Trinidad & Tobago
    public static $AMERICA_ST_JOHNS = 26;                // -3:30 Canada-New Foundland(St.Johns)
    public static $ANTARCTICA_ROTHERA = 27;              // -3 Denmark-Greenland(Nuuk)
    public static $AMERICA_ARGENTINA_BUENOS_AIRES = 28;  // -3 Argentina(Buenos Aires)
    public static $AMERICA_BELEM = 28;                   // -3 Argentina(Buenos Aires)
    public static $AMERICA_SAO_PAULO = 28;               // -3 Argentina(Buenos Aires)
    public static $AMERICA_CAYENNE = 28;                 // -3 Argentina(Buenos Aires)
    public static $AMERICA_MIQUELON = 28;                // -3 Argentina(Buenos Aires)
    public static $AMERICA_PARAMARIBO = 28;              // -3 Argentina(Buenos Aires)
    public static $AMERICA_MONTEVIDEO = 28;              // -3 Argentina(Buenos Aires)
    public static $AMERICA_GODTHAB = 28;                 // -3 Argentina(Buenos Aires)
    public static $AMERICA_NORONHA = 31;                 // -2 Brazil(no DST)
    public static $ATLANTIC_SOUTH_GEORGIA = 31;          // -2 Brazil(no DST)
    public static $AMERICA_SCORESBYSUND = 32;            // -1 Portugal(Azores)
    public static $ATLANTIC_AZORES = 32;                 // -1 Portugal(Azores)
    public static $ATLANTIC_CAPE_VERDE = 32;             // -1 Portugal(Azores)
    public static $AFRICA_CASABLANCA = 33;               // 0 GMT
    public static $EUROPE_LISABON = 33;                  // 0 GMT
    public static $ATLANTIC_JAN_MYEN = 48;               // +1 Denmark(Kopenhaven)
    public static $AFRICA_ALGIERS = 56;                  // +1 Namibia(Windhoek)
    public static $AFRICA_BANGUI = 56;                   // +1 Namibia(Windhoek)
    public static $AFRICA_WINDHOEK = 56;                 // +1 Namibia(Windhoek)
    public static $EUROPE_BERLIN = 50;                   // +1 Germany(Berlin)
    public static $ASIA_JERUSALEM = 61;                  // +2 Israel(Tel Aviv)
    public static $AFRICA_TRIPOLI = 64;                  // +2 Lebanon(Beirut)
    public static $AFRICA_JOHANNESBURG = 106;            // +2 Greece(Athens)
    public static $EUROPE_ISTANBUL = 106;                // +2 Greece(Athens)
    public static $AFRICA_DAR_ES_SALAAM = 71;            // +3 East Africa Time
    public static $ANTARCTICA_SLYOWA = 71;               // +3 East Africa Time
    public static $ASIA_BAGHDAD = 72;                    // +3 Iraq(Baghdad)
    public static $ASIA_KUWAIT = 72;                     // +3 Iraq(Baghdad)
    public static $EUROPE_MOSCOW = 73;                   // +3 Russia(Moscow)
    public static $ASIA_TEHRAN = 74;                     // +3:30 Iran(Teheran)
    public static $ASIA_AQTAU = 78;                      // +4 Kazakstan(Aqtau)
    public static $ASIA_YEREVAN = 75;                    // +4 Armenia(Yerevan)
    public static $ASIA_BAKU = 76;                       // +4 Azerbaijan(Baku)
    public static $ASIA_TBILISI = 77;                    // +4 Georgia(Tbilisi)
    public static $ASIA_DUBAI = 77;                      // +4 Georgia(Tbilisi)
    public static $ASIA_ORAL = 77;                       // +4 Georgia(Tbilisi)
    public static $EUROPE_SAMARA = 79;                   // +4 Russia(Samara)
    public static $INDIAN_MAURITIUS = 79;                // +4 Russia(Samara)   
    public static $INDIAN_REUNION = 79;                  // +4 Russia(Samara)
    public static $INDIAN_MAHE = 79;                     // +4 Russia(Samara)
    public static $ASIA_KABUL = 79;                      // +4 Russia(Samara)
    public static $ASIA_AQTOBE = 80;                     // +5 Kazakstan(Aqtobe)
    public static $ASIA_BISHKEK = 81;                    // +5 Kyrgyzstan(Bishkek)
    public static $ASIA_KARACHI = 82;                    // +5 Pakistan(Islamabad)
    public static $ASIA_DUSHANBE = 83;                   // +5 Russia(Chelyabinsk)
    public static $ASIA_ASHGABAT = 83;                   // +5 Russia(Chelyabinsk)
    public static $ASIA_TASHKENT = 83;                   // +5 Russia(Chelyabinsk)
    public static $ASIA_YEKATERINGBURG = 83;             // +5 Russia(Chelyabinsk)
    public static $INDIAN_KERGUELEN = 83;                // +5 Russia(Chelyabinsk)
    public static $INDIAN_MALDIVES = 83;                 // +5 Russia(Chelyabinsk)
    public static $ASIA_KATMANDU = 84;                   // +5:30 India(Calcutta)
    public static $ASIA_ALAMTY = 85;                     // +6 Kazakstan(Astana,Almaty)
    public static $ASIA_THIMBU = 85;                     // +6 Kazakstan(Astana,Almaty)
    public static $ASIA_NOVOSIBIRSK = 86;                // +6 Russia(Novosibirsk,Omsk)
    public static $ASIA_OMSK = 86;                       // +6 Russia(Novosibirsk,Omsk)
    public static $ASIA_QYZYLORDA = 86;                  // +6 Russia(Novosibirsk,Omsk)
    public static $ASIA_COLOMBO = 86;                    // +6 Russia(Novosibirsk,Omsk)
    public static $ASIA_RANGOON = 86;                    // +6 Russia(Novosibirsk,Omsk)
    public static $INDIAN_CHRISTMAS = 87;                // +7 Russia(Krasnoyarsk)
    public static $ANTARCTICA_DAVIS = 87;                // +7 Russia(Krasnoyarsk)
    public static $ASIA_HOVD = 87;                       // +7 Russia(Krasnoyarsk)
    public static $ASIA_KRASNOYARSK = 87;                // +7 Russia(Krasnoyarsk)
    public static $ASIA_JAKARTA = 88;                    // +7 Thailand(Bangkok)
    public static $ASIA_BRUNEI = 89;                     // +8 China(Beijing)
    public static $ASIA_MAKASSAR = 89;                   // +8 China(Beijing)
    public static $ASIA_HONG_KONG = 89;                  // +8 China(Beijing)
    public static $ASIA_IRKUTSK = 89;                    // +8 China(Beijing)
    public static $ASIA_KUALA_LUMPUR = 89;               // +8 China(Beijing)
    public static $ASIA_MANILA = 89;                     // +8 China(Beijing)
    public static $ASIA_SHANGHAI = 89;                   // +8 China(Beijing)
    public static $ASIA_SINGAPORE = 90;                  // +8 Singapore(Singapore)
    public static $ASIA_TAIPEI = 90;                     // +8 Singapore(Singapore)
    public static $ASIA_ULAANBAATAR = 90;                // +8 Singapore(Singapore)
    public static $AUSTRALIA_PERTH = 91;                 // +8 Australia(Perth)
    public static $ASIA_CHOIBALSAN = 92;                 // +9 Korea(Seoul)
    public static $ASIA_SEOUL = 92;                      // +9 Korea(Seoul)
    public static $ASIA_YAKUTSK = 92;                    // +9 Korea(Seoul)
    public static $PACIFIC_PALAU = 92;                   // +9 Korea(Seoul)
    public static $ASIA_JAYAPURA = 93;                   // +9 Japan(Tokyo)
    public static $ASIA_DILI = 93;                       // +9 Japan(Tokyo)
    public static $ASIA_TOKYO = 93;                      // +9 Japan(Tokyo)
    public static $AUSTRALIA_BROKEN_HILL = 94;           // +9:30 Australia(Adelaide)
    public static $AUSTRALIA_ADELAIDE = 94;              // +9:30 Australia(Adelaide)
    public static $AUSTRALIA_DARWIN = 95;                // +9:30 Australia(Darwin)
    public static $AUSTRALIA_MELBOURNE = 96;             // +10 Australia(Sydney,Melbourne,Canberra)
    public static $PACIFIC_GUAM = 96;                    // +10 Australia(Sydney,Melbourne,Canberra)
    public static $PACIFIC_PORT_MORESBY = 96;            // +10 Australia(Sydney,Melbourne,Canberra)
    public static $PACIFIC_TRUK = 96;                    // +10 Australia(Sydney,Melbourne,Canberra)
    public static $PACIFIC_YAP = 96;                     // +10 Australia(Sydney,Melbourne,Canberra)
    public static $AUSTRALIA_SYDNEY = 96;                // +10 Australia(Sydney,Melbourne,Canberra)
    public static $AUSTRALIA_BRISBANE = 97;              // +10 Australia(Brisbane)
    public static $AUSTRALIA_HOBART = 98;                // +10 Australia(Hobart)
    public static $ANTARCTICA_DUMONTDURVILLE = 99;       //+10 Russia(Vladivostok)
    public static $ASIA_SAKHALIN = 99;                   //+10 Russia(Vladivostok)
    public static $ASIA_VLADIVOSTOK = 99;                //+10 Russia(Vladivostok)
    public static $AUSTRALIA_LORD_HOWE = 100;            // +10:30 Australia(Lord Howe Islands)
    public static $ASIA_MAGADAN = 101;                   // +11 New Caledonia(Noumea)
    public static $PACIFIC_KOSRAE = 101;                 // +11 New Caledonia(Noumea)
    public static $PACIFIC_NOUMEA = 101;                 // +11 New Caledonia(Noumea)
    public static $PACIFIC_PONAPE = 101;                 // +11 New Caledonia(Noumea)
    public static $PACIFIC_EFATE = 101;                  // +11 New Caledonia(Noumea)
    public static $PACIFIC_NORFOLK = 101;                // +11 New Caledonia(Noumea)
    public static $ASIA_ANADYR = 102;                    // +12 New Zeland(Wellington,Auckland)
    public static $ASIA_KAMCHATKA = 102;                 // +12 New Zeland(Wellington,Auckland)
    public static $PACIFIC_FIJI = 102;                   // +12 New Zeland(Wellington,Auckland)
    public static $PACIFIC_TARAWA = 102;                 // +12 New Zeland(Wellington,Auckland)
    public static $PACIFIC_MAJURO = 102;                 // +12 New Zeland(Wellington,Auckland)
    public static $PACIFIC_NAURU = 102;                  // +12 New Zeland(Wellington,Auckland)
    public static $PACIFIC_AUCKLAND = 102;               // +12 New Zeland(Wellington,Auckland)
    public static $PACIFIC_FUNAFUTI = 102;               // +12 New Zeland(Wellington,Auckland)
    public static $PACIFIC_WAKE = 102;                   // +12 New Zeland(Wellington,Auckland)
    public static $PACIFIC_WALLIS = 102;                 // +12 New Zeland(Wellington,Auckland)
    public static $PACIFIC_CHATHAM = 103;                // +12:45 New Zeland(Chatham Islands)
    public static $PACIFIC_ENDERBURY = 104;              // +13 Tonga(Nukualofa)
    public static $PACIFIC_TONGATAPU = 104;              // +13 Tonga(Nukualofa)

}
